### Method

# Gtk TreePathget_indices

deprecated: 4.10

#### Declaration [src]

    int*
    gtk_tree_path_get_indices (
      GtkTreePath* path
    )

#### Description [src]

Returns the current indices of `path`.

This is an array of integers, each representing a node in a tree. This value should not be freed.

The length of the array can be obtained with gtk_tree_path_get_depth().

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

The implementation of this method is provided by `gtk_tree_path_get_indices_with_depth()` in language bindings

#### Return value

Type: `int*`

The current indices.

The data is owned by the instance.
The return value can be `NULL`.